Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.model.entity
Class CurrentState

    java.lang.Object
      org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
          org.eclipse.higgins.ics.gwt.base.client.model.entity.CurrentState

All Implemented Interfaces:
  Serializable

public class CurrentState
extends BaseEntity
implements Serializable

Author:
  Alexander Yuhimenko
See Also:
  Serialized Form

Constructor Summary
`CurrentState()`

Method Summary
`Category` | `getCategory()`
`Card` | `getSelectedCard()`
`Category` | `getSelectedCategory()`
`void` | `setCategory(Category category)`
`void` | `setSelectedCard(Card selectedCard)`
`void` | `setSelectedCategory(Category selectedCategory)`

Methods inherited from class org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
`getName, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CurrentState

    public CurrentState()

Method Detail

### getCategory

    public Category getCategory()

  Returns:
    the category

### setCategory

    public void setCategory(Category category)

  Parameters:
    `category` - the category to set

### getSelectedCard

    public Card getSelectedCard()

  Returns:
    the selectedCard

### setSelectedCard

    public void setSelectedCard(Card selectedCard)

  Parameters:
    `selectedCard` - the selectedCard to set

### getSelectedCategory

    public Category getSelectedCategory()

  Returns:
    the selectedCategory

### setSelectedCategory

    public void setSelectedCategory(Category selectedCategory)

  Parameters:
    `selectedCategory` - the selectedCategory to set

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD